ompi/runtime/mpiruntime.h File Reference.TH "ompi/runtime/mpiruntime.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/runtime/mpiruntime.h \- Interface into the MPI portion of the Open MPI Run Time Environment. 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBompi_mpi_init\fP (int argc, char **argv, int requested, int *provided)"
.br
.RI "\fIInitialize the Open MPI MPI environment. \fP"
.ti -1c
.RI "int \fBompi_mpi_init_io\fP (void)"
.br
.RI "\fISetup I/O forwarding during MPI_Init through the I/O forwarding framework. \fP"
.ti -1c
.RI "int \fBompi_mpi_finalize\fP (void)"
.br
.RI "\fIFinalize the Open MPI MPI environment. \fP"
.ti -1c
.RI "int \fBompi_mpi_abort\fP (struct ompi_communicator_t *comm, int errcode, bool kill_remote_of_intercomm)"
.br
.RI "\fIAbort the processes of comm. \fP"
.ti -1c
.RI "void \fBompi_mpi_wait_for_totalview\fP (void)"
.br
.RI "\fIWait for a TotalView-like debugger if asked. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "struct OMPI_DECLSPEC bool \fBompi_mpi_initialized\fP"
.br
.RI "\fIIs mpi initialized? \fP"
.ti -1c
.RI "OMPI_DECLSPEC bool \fBompi_mpi_finalized\fP"
.br
.RI "\fIHas mpi been finalized? \fP"
.ti -1c
.RI "OMPI_DECLSPEC bool \fBompi_mpi_thread_multiple\fP"
.br
.RI "\fIDo we have multiple threads? \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBompi_mpi_thread_requested\fP"
.br
.RI "\fIThread level requested to \fCMPI_Init_thread()\fP. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBompi_mpi_thread_provided\fP"
.br
.RI "\fIThread level provided by Open MPI. \fP"
.ti -1c
.RI "OMPI_DECLSPEC struct opal_thread_t * \fBompi_mpi_main_thread\fP"
.br
.RI "\fIIdentifier of the main thread. \fP"
.ti -1c
.RI "OMPI_DECLSPEC bool \fBompi_mpi_maffinity_setup\fP"
.br
.RI "\fIDid we setup maffinity in MPI_INIT (and therefore need to shut it down during MPI_FINALIZE)? \fP"
.in -1c
.SH "Detailed Description"
.PP 
Interface into the MPI portion of the Open MPI Run Time Environment. 


.SH "Function Documentation"
.PP 
.SS "int ompi_mpi_finalize (void)"
.PP
Finalize the Open MPI MPI environment. 
.PP
\fBReturns:\fP
.RS 4
MPI_SUCCESS if successful 
.PP
Error code if unsuccessful
.RE
.PP
Should be called after all MPI functionality is complete (usually during MPI_FINALIZE). 
.SS "int ompi_mpi_init (int argc, char ** argv, int requested, int * provided)"
.PP
Initialize the Open MPI MPI environment. 
.PP
\fBParameters:\fP
.RS 4
\fIargc\fP argc, typically from main() (IN) 
.br
\fIargv\fP argv, typically from main() (IN) 
.br
\fIrequested\fP Thread support that is requested (IN) 
.br
\fIprovided\fP Thread support that is provided (OUT)
.RE
.PP
\fBReturns:\fP
.RS 4
MPI_SUCCESS if successful 
.PP
Error code if unsuccessful
.RE
.PP
Intialize all support code needed for MPI applications. This function should only be called by MPI applications (including singletons). If this function is called, ompi_init() and ompi_rte_init() should *not* be called.
.PP
It is permissable to pass in (0, NULL) for (argc, argv). 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
